View Issue Details

IDProjectCategoryView StatusLast Update
13606Bug reports[All Projects] Theme editorpublic2018-06-11 16:31
ReporterDenisChenu Assigned ToLouisGac  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.6.x 
Target VersionFixed in Version3.10.x 
Summary13606: Unable to reset manually asset (file or firectory)
Description

A way to reset manually any asset are:

  • Create a file in the directory
  • delete this file
  • Then asset directory mtime is updated : new template is done

But currently : didn't work

Same for single file (save single file didn't update asset of THIS file)

Steps To Reproduce

See Description

Additional Information

Work on FTP, work on windows IIS, and work on linux SSH

This issue is here : https://github.com/LimeSurvey/LimeSurvey/blob/master/application/core/LSYii_AssetManager.php#L50
We don't add mtime of file …
The fix must be apply to hash function : replace getYiiVersion by limesurvey version

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.6.3+180416
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

parent of 13497 closedLouisGac Editor sreen loads without css when creating/opdating custom css 

Activities

user70560

2018-04-17 18:26

  ~47441

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27016

markusfluer

markusfluer

2018-04-18 11:01

administrator   ~47445

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27021

DenisChenu

DenisChenu

2018-04-18 14:25

developer   ~47458

Why revert ? What is the issue ?
The system are totally same after and before exept it test current filemtime …

LouisGac

LouisGac

2018-06-04 15:23

manager   ~47971

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27306

LouisGac

LouisGac

2018-06-04 16:45

manager   ~47975

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27311

Related Changesets

LimeSurvey: master 4a52dbf7

2018-04-17 18:26:52

user70560


Committer: GitHub Details Diff
Fixed issue 13606: Unable to reset manually asset (#1044)

Dev: get LS version in hash
Dev: this replace Yii::getVersion() in parent function
Dev: then filemtime is still used asset by asset
Affected Issues
13606
mod - application/core/LSYii_AssetManager.php Diff File

LimeSurvey: master 929dceeb

2018-04-17 18:26:52

user70560


Committer: markusfluer Details Diff
Revert "Fixed issue 13606: Unable to reset manually asset (#1044)"

This reverts commit 4a52dbf702ab5d34e844e87368b7dcd0fed6371d.
Affected Issues
13606
mod - application/core/LSYii_AssetManager.php Diff File

LimeSurvey: master 0d99224f

2018-06-04 15:23:02

user70560


Committer: LouisGac Details Diff
Dev: Assets hash solution (#1057)

Fixed issue 13606 : Unable to reset manually single asset
Dev: hash function use for whole path, then global var set here
Dev: generatePath is used path by path

Fixed issue 13497 : Editor screen can be loaded without css after save
Dev: moving global reset to only this template
Dev: less time to generate assets

Fixed issue 13596: template assets is not resetted when update config
Dev: need to do it if user add a file in TemplateConfiguration_files_*
Dev: do it only for global theme (?)

Dev: move injectglobalsettings to LSYii_Application
Dev: maybe create a now function to set all config ?

Dev: Fix installmer and move all set configs part to one function

Dev: usage of DB for asset version number
Dev: hash solution for indexed pk in DB

Dev: oups on phpdoc
Dev: same other improvment than other pull request

Dev: broken update … remove test line ;)
Affected Issues
13497, 13596, 13606
mod - application/config/version.php Diff File
mod - application/controllers/admin/themeoptions.php Diff File
mod - application/controllers/admin/themes.php Diff File
mod - application/core/LSYii_Application.php Diff File
mod - application/core/LSYii_AssetManager.php Diff File
mod - application/helpers/globalsettings_helper.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File
add - application/models/AssetVersion.php Diff File
mod - application/models/Template.php Diff File
mod - installer/create-database.php Diff File

LimeSurvey: master c3d25219

2018-06-04 16:45:15

user70560


Committer: LouisGac Details Diff
Fix multiple issues with theme assets (#1048)

Fixed issue 13606 : Unable to reset manually single asset
Dev: hash function use for whole path, then global var set here
Dev: generatePath is used path by path

Fixed issue 13497 : Editor screen can be loaded without css after save
Dev: moving global reset to only this template
Dev: less time to generate assets

Fixed issue 13596: template assets is not resetted when update config
Dev: need to do it if user add a file in TemplateConfiguration_files_*
Dev: do it only for global theme (?)

Dev: move injectglobalsettings to LSYii_Application
Dev: maybe create a now function to set all config ?

Dev: Fix installmer and move all set configs part to one function

Dev: Create a DB for asset version number and use it for Template

Dev: fix upgrade , remove dev test lien :/

Fixed issue : reset asset when upload or delete a template file
Dev: rename Template functions to be more clear (we don't delete really the asset directory)
Affected Issues
13497, 13596, 13606
mod - application/controllers/admin/themeoptions.php Diff File
mod - application/controllers/admin/themes.php Diff File
mod - application/core/LSYii_Application.php Diff File
mod - application/core/LSYii_AssetManager.php Diff File
mod - application/helpers/globalsettings_helper.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File
add - application/models/AssetVersion.php Diff File
mod - application/models/Template.php Diff File
mod - installer/create-database.php Diff File

Issue History

Date Modified Username Field Change
2018-04-17 12:04 DenisChenu New Issue
2018-04-17 12:20 DenisChenu Summary Unable to reset manually one template asset => Unable to reset manually asset (file or firectory)
2018-04-17 12:24 DenisChenu Assigned To => DenisChenu
2018-04-17 12:24 DenisChenu Status new => assigned
2018-04-17 12:25 DenisChenu Relationship added related to 13497
2018-04-17 12:25 DenisChenu Relationship deleted related to 13497
2018-04-17 12:26 DenisChenu Relationship added parent of 13497
2018-04-17 18:26 user70560 Changeset attached => LimeSurvey master 4a52dbf7
2018-04-17 18:26 user70560 Note Added: 47441
2018-04-17 18:26 user70560 Assigned To DenisChenu => user70560
2018-04-17 18:26 user70560 Resolution open => fixed
2018-04-18 11:01 markusfluer Changeset attached => LimeSurvey master 929dceeb
2018-04-18 11:01 markusfluer Note Added: 47445
2018-04-18 11:01 markusfluer Assigned To user70560 => markusfluer
2018-04-18 14:25 DenisChenu Status assigned => feedback
2018-04-18 14:25 DenisChenu Note Added: 47458
2018-06-04 15:23 LouisGac Changeset attached => LimeSurvey master 0d99224f
2018-06-04 15:23 LouisGac Note Added: 47971
2018-06-04 15:23 LouisGac Assigned To markusfluer => LouisGac
2018-06-04 16:45 LouisGac Changeset attached => LimeSurvey master c3d25219
2018-06-04 16:45 LouisGac Note Added: 47975
2018-06-11 16:31 markusfluer Status feedback => closed
2018-06-11 16:31 markusfluer Fixed in Version => 3.10.x